Bug 1375255 (CVE-2016-7392)

Summary: CVE-2016-7392 autotrace: Out of bounds write when converting bmp image
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, eng-i18n-bugs, gwync, jskarvad, lemenkov, pnemade
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-17 04:23:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1375256, 1375257    
Bug Blocks: 1856606    

Description Adam Mariš 2016-09-12 14:51:27 UTC
It was found that converting any bmp image will cause out-of-bounds heap write in autotrace.

CVE assignment:

http://seclists.org/oss-sec/2016/q3/475

More details:

https://blogs.gentoo.org/ago/2016/09/10/autotrace-heap-based-buffer-overflow-in-pstoedit_suffix_table_init-output-pstoedit-c/

Comment 1 Adam Mariš 2016-09-12 14:52:02 UTC
Created autotrace tracking bugs for this issue:

Affects: fedora-all [bug 1375256]
Affects: epel-5 [bug 1375257]

Comment 2 Jaroslav Škarvada 2017-01-20 17:02:23 UTC
This is only reproducible with experimental pstoedit backend which is currently not enabled in Fedora, but I am going to enable it.